Create addressAsk AIpost https://www.pelcro.com/api/v1/core/addressesCreate a new address for a customer.Query Paramssite_idint32requiredThe unique identifier of the site associated with your account.Body Paramssite_idint32requiredThe unique identifier of the site associated with your account.customer_idint32requiredThe unique identifier of the customer which must be associated to the site and related account.typestringenumrequiredThe address type, one of either "shipping", "billing" or "account_primary".shippingbillingaccount_primaryAllowed:shippingbillingaccount_primaryline1stringrequiredlength ≤ 255The first line of the address, typically containing the street number and street name.countrystringrequiredlength ≤ 2The two-letter country codes as specified by ISO3166 alpha-2. Learn more here.first_namestringlength ≤ 255The address's first name that belongs to the customer.last_namestringlength ≤ 255The address's last name that belongs to the customer.line2stringlength ≤ 255The second line of the address, which can be used for apartment number, suite number, etc.citystringlength ≤ 255The name of a city, town, village, etc.statestringlength ≤ 255The two-letter code of the state, region, or province. Required for CA, US, AU.postal_codestringlength ≤ 45Postal code or zip associated with the address.phonestringNumeric phone number associated with the address.old_provider_idstringlength ≤ 191An optional field that may be used to store the identifier of the address on a previous system. Must be unique under the account.is_defaultbooleanDefaults to falseSet this address as the new default. Only one default address of the same type can be set at all times.truefalsetitlestringlength ≤ 255The customer's title within the company.salutationstringlength ≤ 255A salutation for the address, such as Mr., Ms., Dr.companystringlength ≤ 255The company name associated with the address.departmentstringlength ≤ 255The department associated with the address.customer_old_provider_idstringThe old_provider_id unique identifier that was added to customer who owns this address.update_subscriptions_shipping_addressbooleanDefaults to falseIf provided and set to true, the default shipping address for all of the customer's active subscriptions will be updated. This process will only trigger if is_default is also provided and set to true.truefalsebypass_address_cleansingbooleanA boolean to bypass the address cleansing feature if enabled.truefalsedelivery_instructionsstringlength ≤ 500Optional delivery notes associated with this address.delivery_sequence_numberinteger≥ 1Optional integer representing the driver delivery order for the addressvendor_idint32The vendor associated with this address if anyHeadersAuthorizationstringrequiredDefaults to Bearer eyJ***Responses 201Created. 400Invalid request. 401Unauthenticated. 500Server error.Updated 3 days ago